﻿/**
 * Parameters for tank carousel
 * Параметры карусели танков
 */
{
  "carousel": {
    "enabled": true,
    "zoom": 1,
    "rows": 1,
    "padding": { "horizontal": 10, "vertical": 2 },
    "backgroundAlpha": 60,
    "scrollingSpeed": 20,
    "alwaysShowFilters": false,
    "hideBuyTank": false,
    "hideBuySlot": false,
    "filters": {
      // false - hide filter.
      // false - скрыть фильтр.
      "nation":   { "enabled": true },  // nation             / страна
      "type":     { "enabled": true },  // vehicle class      / тип техники
      "favorite": { "enabled": true },  // favorite tanks     / основные танки
      "gameMode": { "enabled": true },  // fallout mode tanks / танки для "боя до последнего"
      "level":    { "enabled": true },  // vehicle level      / уровень техники
      "prefs":    { "enabled": true }   // other filters      / другие фильтры
    },
    "filtersPadding": {
        "horizontal": 11,   // по горизонтали
        "vertical": 13      // по вертикали
    },
    "fields": {
      "tankType": { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      "level":    { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      "multiXp":  { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      "xp":       { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      "tankName": { "visible": true, "dx": 0, "dy": -5, "alpha": 100, "scale": 1 },
      "statusText": { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      "statusTextBuy": { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      "clanLock":   { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      "activateButton": { "dx": 0, "dy": 0, "alpha": 100, "scale": 1 }
    },
    "extraFields": [
      { "x": -1, "y": 10, "format": "<img src='img://gui/maps/icons/library/proficiency/class_icons_{{v.mastery}}.png' width='23' height='23'>" }
    ],
    //"nations_order": [ "china", "ussr", "usa", "germany", "france", "uk", "japan", "czech"],
    "nations_order": [],
    "types_order":   ["lightTank", "mediumTank", "heavyTank", "AT-SPG", "SPG"],
    "sorting_criteria": ["nation", "type", "level"],
    "suppressCarouselTooltips": false
  }
}
